
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>HDU 4587 TWO NODES（割两个点的最大连通分支数） / 憋错料</title>

    <meta name="description" content="HDU 4587 TWO NODES（割两个点的最大连通分支数） http://acm.hdu.edu.cn/showproblem.php?pid=4587 题意: 给一图,求割去两个点后所能形成的最大连通分支数. 思路: 对于这种情况,第一个只能枚举,然后在删除第一个点的前提下,用Tarjan算法求第二个割点的情况. 1 #include&lt;iostream&gt; 2 #include&lt;algorithm&gt; 3 #include&lt;cstring&gt; 4 #include&lt;cstdio&gt; 5 #include&lt;s ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">HDU 4587 TWO NODES（割两个点的最大连通分支数）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><a href="http://acm.hdu.edu.cn/showproblem.php?pid=4587" rel="external nofollow noreferrer">http://acm.hdu.edu.cn/showproblem.php?pid=4587</a></p>
<p>题意：</p>
<p>给一图，求割去两个点后所能形成的最大连通分支数。</p>
<p>思路：</p>
<p>对于这种情况，第一个只能枚举，然后在删除第一个点的前提下，用Tarjan算法求第二个割点的情况。</p>
<pre>  1 #include&lt;iostream&gt;
  2 #include&lt;algorithm&gt;
  3 #include&lt;cstring&gt;
  4 #include&lt;cstdio&gt;
  5 #include&lt;sstream&gt;
  6 #include&lt;vector&gt;
  7 #include&lt;stack&gt;
  8 #include&lt;queue&gt;
  9 #include&lt;cmath&gt;
 10 #include&lt;map&gt;
 11 #include&lt;set&gt;
 12 using namespace std;
 13 typedef long long ll;
 14 typedef pair&lt;int,ll&gt; pll;
 15 const int INF = 0x3f3f3f3f;
 16 const int maxn=5000+5;
 17
 18 int n, m;
 19 int tot;
 20 int dfs_clock;
 21 int pre[maxn];
 22 int cut[maxn];
 23 int low[maxn];
 24 int head[2*maxn];
 25 int del;
 26
 27 struct node
 28 {
 29     int v,next;
 30 }e[2*maxn];
 31
 32 void addEdge(int u, int v)
 33 {
 34     e[tot].v=v;
 35     e[tot].next=head[u];
 36     head[u]=tot++;
 37 }
 38
 39 int tarjan(int u, int fa)
 40 {
 41     int lowu=pre[u]=++dfs_clock;
 42     for(int i=head[u];i!=-1;i=e[i].next)
 43     {
 44         int v=e[i].v;
 45         if(v==del)  continue;
 46         if(!pre[v])
 47         {
 48             int lowv = tarjan(v,u);
 49             lowu=min(lowu,lowv);
 50             if(lowv&gt;=pre[u])  cut[u]++;
 51         }
 52         else if(v!=fa)
 53             lowu=min(lowu,pre[v]);
 54     }
 55     if(fa&lt;0)  cut[u]--;
 56     return low[u]=lowu;
 57 }
 58
 59 int solve()
 60 {
 61     int cnt=0;
 62     dfs_clock=0;
 63     memset(cut,0,sizeof(cut));
 64     memset(pre,0,sizeof(pre));
 65     for(int i=0;i&lt;n;i++)
 66     {
 67         if(del!=i &amp;&amp; !pre[i])
 68         {
 69             cnt++;
 70             tarjan(i,-1);
 71         }
 72     }
 73     int ans=0;
 74     for(int i=0;i&lt;n;i++)
 75     {
 76         if(i!=del) ans=max(ans,cnt+cut[i]);
 77     }
 78     return ans;
 79 }
 80
 81 int main()
 82 {
 83     //freopen("in.txt","r",stdin);
 84     while(~scanf("%d%d",&amp;n,&amp;m))
 85     {
 86         tot=0;
 87         memset(head,-1,sizeof(head));
 88         for(int i=0;i&lt;m;i++)
 89         {
 90             int u,v;
 91             scanf("%d%d",&amp;u,&amp;v);
 92             addEdge(u,v);
 93             addEdge(v,u);
 94         }
 95         int ans=-1;
 96         for(int i=0;i&lt;n;i++)
 97         {
 98             del=i;
 99             ans=max(ans,solve());
100         }
101         printf("%d\n",ans);
102     }
103     return 0;
104 }</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 12:13:06 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/des/" title="des">des</a>, <a href="https://www.biecuoliao.com/tag/targe/" title="targe">targe</a>, <a href="https://www.biecuoliao.com/tag/str/" title="str">str</a>, <a href="https://www.biecuoliao.com/tag/ios/" title="ios">ios</a>, <a href="https://www.biecuoliao.com/tag/%e7%ac%ac%e4%b8%80%e4%b8%aa/" title="第一个">第一个</a>, <a href="https://www.biecuoliao.com/tag/ack/" title="ack">ack</a>, <a href="https://www.biecuoliao.com/tag/problem/" title="problem">problem</a>, <a href="https://www.biecuoliao.com/tag/names/" title="names">names</a>, <a href="https://www.biecuoliao.com/tag/pair/" title="pair">pair</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>HDU 4587 TWO NODES（割两个点的最大连通分支数）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38rdmWM.html" rel="bookmark">hdu 4587 2013南京邀请赛B题&sol; &sol; 求割点后连通分量数变形。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意:求一个无向图的,去掉两个不同的点后最多有几个连通分量. 思路:枚举每个点,假设去掉该点,然后对图求割点后连通分量数,更新最大的即可.算法相对简单,但是注意几个细节: 1:原图可能不连通. 2:有的连通分量只有一个点,当舍去该点时候,连通分量-1: 复习求割点的好题! #include&lt;iostream&gt; #include&lt;cstdio&gt; #include&lt;vector&gt; using namespace std; int n,m; vector&lt;vector&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YGByJ4.html" rel="bookmark">HDU 4587 TWO NODES 枚举&plus;割点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原题链接:http://acm.hdu.edu.cn/showproblem.php?pid=4587 TWO NODES Time Limit: 24000/12000 MS (Java/Others)    Memory Limit: 65535/32768 K (Java/Others)Total Submission(s): 1448    Accepted Submission(s): 441 Problem Description Suppose that G is an undir			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02gBq23.html" rel="bookmark">HDU 4587 TWO NODES 割点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接: http://acm.hdu.edu.cn/showproblem.php?pid=4587 题意: 删除两个点,使连通块的数目最大化 题解: 枚举删除第一个点,然后对删除了第一个点的图跑割点更新答案. 代码: #include&lt;algorithm&gt; #include&lt;iostream&gt; #include&lt;cstring&gt; #include&lt;vector&gt; #include&lt;cstdio&gt; using namespace std; c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmG2yP3.html" rel="bookmark">hdu 3657 最小割的活用 &sol; 奇偶方格取数类经典题 &sol;最小割</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意:方格取数,如果取了相邻的数,那么要付出一定代价.(代价为2*(X&amp;Y))(开始用费用流,敲升级版3820,跪...) 建图:  对于相邻问题,经典方法:奇偶建立二分图.对于相邻两点连边2*(X&amp;Y),源-&gt;X连边,Y-&gt;汇连边,权值w为点权. ans=总点权-最小割:如果割边是源-&gt;X,表示x不要选(是割边,必然价值在路径上最小),若割边是Y-汇点,同理:若割边是X-&gt;Y,则表示选Y点且选X点, 割为w( 2*(X&amp;Y) ). 自己的确还没有理解其本质			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVb6dpM.html" rel="bookmark">hdu 4587 判断孤立点&plus;割点&plus; 删除点之后，剩下多少连通分量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				做了很久...... 题目链接:  http://acm.hdu.edu.cn/showproblem.php?pid=4587 先枚举删除的第一个点,第二个点就是找割点,没有割点当然也有答案 学到的: 1.图论硬套模板不太现实,比如这道题,我能想到孤立点是特殊情况,删除孤立点,连通分支个数会减少一,但是一直处理不好,最后按缩点的做法搞了, 判断是不是孤立点的方法: 就是先用一个数组scnt[i]=j,vv[j]++  表示点i在以j为祖先的联通分支里,而且每次都让vv[j]++,就使得vv[j			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVPmXj3.html" rel="bookmark">hdu 5282 Senior&amp;&num;39&semi;s String 两次dp</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题链:http://acm.hdu.edu.cn/showproblem.php?pid=5282 Senior's String Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/65536 K (Java/Others) Total Submission(s): 142    Accepted Submission(s): 40 Problem Description Xuejiejie loves strings m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDdPAnM.html" rel="bookmark">编程题：返回指针值的函数，求两个数中较大的数。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#include&lt;stdio.h&gt; int *max(int *x,int *y) { int *q; if(*x&gt;*y)  q=x; else  q=y; return q; } void main() { int a,b,*p; scanf(&quot;%d,%d&quot;,&amp;a,&amp;b); p=max(&amp;a,&amp;b); printf(&quot;%d,%d,max is %d\n&quot;,a,b,*p); } 编程题:返回指针值的函数,求两个数中较			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0d5nVn3.html" rel="bookmark">编程题：指向函数的指针，求两个数中较大的数。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#include&lt;stdio.h&gt; int max(x,y) { int z; if(x&gt;y)  z=x; else  z=y; return z; } void main() { int a,b,c; int (*p)(); p=max; scanf(&quot;%d,%d&quot;,&amp;a,&amp;b); c=(*p)(a,b); printf(&quot;%d,%d,max is %d\n&quot;,a,b,c); } 编程题:指向函数的指针,求两个数中较大的数.,布布			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49OPAp0.html" rel="bookmark">java 获取两个日期相差的毫秒数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法一可以使用date的getTime()方法来将当前日期格式的时间转换为毫秒数,进而相减. long systime = new Date().getTime();//当前系统时间        long oldtime = old.getTime();//相比较的时间        Long time = (systime - oldtime);//相差毫秒数 方法二则使用calendar 的getTimeInMillis() 方法来将当前日期格式的时间转换为毫秒数. Calendar no			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/NMynL0O.html" rel="bookmark" class="title">原生ajax</a>
					<div>
						function ajax() { var ajaxData = { type: arguments[0].type || &quot;GET&quot;, url: arguments[0].url ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/74QPNL3.html" rel="bookmark" class="title">Oracle 12c创建PDB用户并设置默认表空间</a>
					<div>
						Oracle12c 中,增加了可插接数据库的概念,即PDB,允许一个数据库容器(CDB)承载多个可插拔数据库(PDB).CDB全称为 ContainerDatabase,中文翻译为数据库容器,PDB全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0kOZl0.html" rel="bookmark" class="title">团队项目：五子棋</a>
					<div>
						五子棋是一种两人对弈的纯策略型棋类游戏,通常双方分别使用黑白两色的棋子,下在棋盘直线与横线的交叉点上,先形成5子连线者获胜. 棋具与围棋通用,起源于中国上古时代的传统黑白棋种之一.主要流行于华人和汉字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3q5WYP3.html" rel="bookmark" class="title">poj2288&lpar;状压dp&rpar;</a>
					<div>
						题意:给出n个点,m条边的无向图,给出每个点的点权,求点权和最小的哈密顿路径,相邻两个点要加上点权的乘积,形成环要加上环上的点权 哇,这个题wa了好多发,后来发现是因为存在一个特殊情况,即n==1时需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j55VoM.html" rel="bookmark" class="title">Appium自动测试框架常用API</a>
					<div>
						1.元素定位 find_element()#可以进行二次封装 find_elements() find_element_by_id() find_elements_by_id() find_eleme ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBAYoj4.html" rel="bookmark" class="title">多玩YY语音的面试题：C&plus;&plus;中如何在main&lpar;&rpar;函数之前执行操作？</a>
					<div>
						第一反应main()函数是所有函数执行的开始.但是问题是main()函数执行之前如何执行呢? 联想到MFC里面的 C**App类的theApp对象,其执行顺序就在main函数之前.道理相通,顺理推下, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nvQyp0.html" rel="bookmark" class="title">hdu Boring count（BestCode round &num;11）</a>
					<div>
						Boring count Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others) Tot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPD1WyM.html" rel="bookmark" class="title">hdu 2546饭卡</a>
					<div>
						用5块钱去买最贵的物品,用剩下的m-5块去买尽量多的物品 1 #include&lt;stdio.h&gt; 2 #include&lt;math.h&gt; 3 #include&lt;vector ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDoEoo4.html" rel="bookmark" class="title">阅读Spring源代码（1）</a>
					<div>
						localhost:workspace uu$ java -version java version &quot;1.8.0_45&quot; Java(TM) SE Runtime Environm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YXBoXM.html" rel="bookmark" class="title">记忆碎片2015&period;02&period;14</a>
					<div>
						今天没有回去陪你过节,对不起,爱你的心一直不变,希望你能听得见,我会好好的爱你~					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoxY9b0.html" rel="bookmark" class="title">&lbrack;4Clojure&rsqb;解题记录-&num;80</a>
					<div>
						Perfect Numbers Difficulty: Medium Topics:   A number is &quot;perfect&quot; if the sum of its divis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrPNj4.html" rel="bookmark" class="title">安卓获取屏幕宽高&sol;分辨率相关信息的方式</a>
					<div>
						private void getSystemInfo() { //第一种方式获取屏幕的像素宽高在Activity里面可使用 //DisplayMetrics metric = new DisplayM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M65b854.html" rel="bookmark" class="title">第1部分 HTML</a>
					<div>
						&lt;html&gt;——开始标签 &lt;head&gt; 网页上的控制信息 &lt;title&gt;页面标题&lt;/title&gt; &lt;/head&gt; &lt;body&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qxdyG0.html" rel="bookmark" class="title">转：设置图片透明的四种方法</a>
					<div>
						参照博文:http://blog.csdn.net/lexiaoyao20/article/details/6628830 最有效的一种方法: 矩阵法: 这个方法的效率最高. /// &lt;summ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MymP7pM.html" rel="bookmark" class="title">屏幕尺寸相关概念</a>
					<div>
						* 屏幕尺寸: 屏幕对角线的长度    * 分辨率 : 横纵2个方向的像素点的数量,常见取值 480X800 ,320X480    * dpi : dots per inch,像素密度,即每英寸有多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xaBqj3.html" rel="bookmark" class="title">CSS导航栏</a>
					<div>
						CSS导航栏:http://www.w3school.com.cn/css/css_navbar.asp#导航栏基本上是一个链接列表,因此使用 &lt;ul&gt; 和 &lt;li&gt; 元素是非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NnK9B4.html" rel="bookmark" class="title">android  队列模仿listview同步加载图片</a>
					<div>
						我们今天在listview加载图片都是异步的,如果有个需求要求listview同步加载图片,同步加载图片是什么意思呢?就是第一张图片下载好了,然后接着第二张图片下载,依次类推,今天就简单的模仿写个简单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38oke10.html" rel="bookmark" class="title">死磕Spring AOP系列2：剖析Bean处理器之BeanNameAutoProxyCreator</a>
					<div>
						通过前一篇&lt;死磕Spring AOP系列1:编程式实现AOP&gt;,学习了Spring对代理的底层支持,认识了ProxyFactory对象,及从类设计层面认识了PointCut&amp;Adv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38rwjKM.html" rel="bookmark" class="title">ios代理</a>
					<div>
						IScrollView将delegate需要实现的方法都定义在了UIScrollViewDelegate协议中,因此要想成为UIScrollView的delegate,必须遵守UIScrollView ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wNGgV0.html" rel="bookmark" class="title">添加菜单到fragment</a>
					<div>
						1.在fragment的代码中 @Override public void onCreate(Bundle savedInstanceState) { // TODO Auto-generated m ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
